include make.inc

PROGS =sanity_check

all: $(PROGS)

sanity_check_OBJ = my_variables.o p_sanity_check.o 

sanity_check: $(sanity_check_OBJ)
	cd ./TMP ; $(LD) $(LINKFLAGS) -o ../sanity_check $(sanity_check_OBJ)

clean:
	@rm -f *.o *.mod TMP/*.* $(PROGS)

%.o: %.F90
	@echo "  $*".F90
	@rm -f ./TMP/$*.f90
	@cat MODEL.CPP $< | $(CPP) $(CPPFLAGS) > ./TMP/$*.f90
	@cd ./TMP; $(CF90) -c $(FFLAGS) $(F90FLG) -o $*.o $*.f90

%.o: %.F
	@echo "  $*".F
	@rm -f ./TMP/$*.f
	@cat MODEL.CPP $< | $(CPP) $(CPPFLAGS) > ./TMP/$*.f
	@cd ./TMP; $(CF77) -c $(FFLAGS) $(F77FLG) -o $*.o $*.f 2> /dev/null

%.o: %.c
	@echo "  $*".c
	@cd ./TMP ; $(CC) -c $(CFLAGS) -o $*.o -I../.. ../../$*.c
